所需权限: 仅团队所有者
请求头
string
可选。同一调用方使用相同值重试会重放首次结果。
请求体
string
required
将成为团队所有者的有效真人成员的
principal_id响应
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST 'https://app.memorylake.cn/openapi/memorylake/admin/v1/team/transfer-ownership' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Idempotency-Key: 7c1d2e3f-0a9b-4c8d-b7e6-f5a4d3c2b1a0' \
-H 'Content-Type: application/json' \
-d '{
"new_owner_principal_id": "670048c3ad268485e39c944bbf532eb8"
}'
{
"success": true,
"message": "Operation completed successfully",
"data": {
"new_owner_principal_id": "a98ea7f681cc99557e9ff07a98bdfd93",
"previous_owner_principal_id": "4b00105cd113649644fb6ca4b1b43592",
"tenant_id": "0b27c6f12b96b127b1157e40a00b0b79"
}
}
将此组织团队的所有权转让给另一名活跃的真人成员
curl -X POST 'https://app.memorylake.cn/openapi/memorylake/admin/v1/team/transfer-ownership' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Idempotency-Key: 7c1d2e3f-0a9b-4c8d-b7e6-f5a4d3c2b1a0' \
-H 'Content-Type: application/json' \
-d '{
"new_owner_principal_id": "670048c3ad268485e39c944bbf532eb8"
}'
{
"success": true,
"message": "Operation completed successfully",
"data": {
"new_owner_principal_id": "a98ea7f681cc99557e9ff07a98bdfd93",
"previous_owner_principal_id": "4b00105cd113649644fb6ca4b1b43592",
"tenant_id": "0b27c6f12b96b127b1157e40a00b0b79"
}
}
POST /openapi/memorylake/admin/v1/team/transfer-ownership
principal_idcurl -X POST 'https://app.memorylake.cn/openapi/memorylake/admin/v1/team/transfer-ownership' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Idempotency-Key: 7c1d2e3f-0a9b-4c8d-b7e6-f5a4d3c2b1a0' \
-H 'Content-Type: application/json' \
-d '{
"new_owner_principal_id": "670048c3ad268485e39c944bbf532eb8"
}'
{
"success": true,
"message": "Operation completed successfully",
"data": {
"new_owner_principal_id": "a98ea7f681cc99557e9ff07a98bdfd93",
"previous_owner_principal_id": "4b00105cd113649644fb6ca4b1b43592",
"tenant_id": "0b27c6f12b96b127b1157e40a00b0b79"
}
}